Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.spi
Class TypedValue

    java.lang.Object
      org.hibernate.engine.spi.TypedValue

All Implemented Interfaces:
  Serializable

    public final class TypedValue

extends Object
implements Serializable

An ordered pair of a value and its Hibernate type.

See Also:
  `Type`, Serialized Form

Constructor Summary
`TypedValue(Type type, Object value)`
`TypedValue(Type type, Object value, EntityMode entityMode)`

Method Summary
`boolean` | `equals(Object other)`
`Type` | `getType()`
`Object` | `getValue()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TypedValue

    public TypedValue(Type type,
                      Object value)

### TypedValue

    public TypedValue(Type type,
                      Object value,
                      EntityMode entityMode)

Method Detail

### getValue

    public Object getValue()

### getType

    public Type getType()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.